var getWinTicketUrl = "http://api.meapps.com.au/lottopedia/ticket/result";

angular.module('starter.controllers', [])

.controller('AppCtrl', function($scope, $ionicModal, $timeout) {
  // Form data for the login modal
  $scope.loginData = {};

  // Create the login modal that we will use later
  $ionicModal.fromTemplateUrl('templates/login.html', {
    scope: $scope
  }).then(function(modal) {
    $scope.modal = modal;
  });

  // Triggered in the login modal to close it
  $scope.closeLogin = function() {
    $scope.modal.hide();
  };

  // Open the login modal
  $scope.login = function() {
    $scope.modal.show();
  };

  // Perform the login action when the user submits the login form
  $scope.doLogin = function() {
    console.log('Doing login', $scope.loginData);

    // Simulate a login delay. Remove this and replace with your login
    // code if using a login system
    $timeout(function() {
      $scope.closeLogin();
    }, 1000);
  };
})

.controller('PlaylistsCtrl', function($scope) {
  $scope.playlists = [
    { title: 'Check', id: 1 },
    { title: 'Top', id: 2 },
    { title: 'Dubstep', id: 3 },
    { title: 'Indie', id: 4 },
  ];
})

.controller('PlaylistCtrl', function($scope, $stateParams) {
})
.controller("TicketResultCtrl", function($scope, globalVar) {
	$scope.betDetails = globalVar.get('betDetails');
})
.controller("CheckTicketCtrl", function($scope, globalVar, $http, $location, $ionicLoading) {
	$scope.barcodeScannerClick = function() {       
        var scanner = cordova.require("cordova/plugin/BarcodeScanner");
        scanner.scan( function (result) { 
			if (result.cancelled)
				return false; // Cancel
			try {
                var ticketNumber = Number(result.text.substring(2, 13));
				checkTicketResult(ticketNumber);
			} catch(err) {
				alert("Invalid Barcode");
			}
        }, function (error) { 
			alert("Scan Failed");
        } );
	};
	$scope.checkTicketClick = function(ticket) {
		checkTicketResult(parseInt(ticket.number.replace(" ", "")));
	}
	
	var checkTicketResult = function(ticketNumber) {
		$ionicLoading.show({
			template: 'Checking...'
		});

		$http.get(getWinTicketUrl+"?ticket_number="+ticketNumber)
		.success(function(response) {
			$ionicLoading.hide();
			// Get successful response, display result
			if (response.Success) {
				globalVar.set('betDetails', response.BetDetails);
				$location.path("/app/result");
			} else {
				alert(response.ErrorInfo.DisplayMessage);
			}
		});	
	}
})


.controller("LatestDrawsController", function($scope, $http, $ionicLoading) {
	$ionicLoading.show({
		template: 'Loading...'
    });
	$http.get("http://api.meapps.com.au/lottopedia/draw/latest").
	success(function(response) {
		$scope.draws = response;
		$ionicLoading.hide();
	});

});
;